Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.trans
Class OutlookPhoneBookTransformation

    java.lang.Object
      local.tomas.mobile.sync.trans.OutlookPhoneBookTransformation

All Implemented Interfaces:
  ObjectNormalizer

    public class OutlookPhoneBookTransformation

extends java.lang.Object
implements ObjectNormalizer

Constructor Summary
`OutlookPhoneBookTransformation()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `denormalize(NormalizedSyncObject source, SyncObject target, boolean isNew)`
`java.lang.String` | `getAreaCode()`
`java.lang.String` | `getAreaCodePrefix()`
`java.lang.String` | `getCountryCode()`
`java.lang.String` | `getInternationalPrefix()`
`int` | `getMaxNameLength()`
`java.lang.String` | `getSystemPrefix()`
`void` | `normalize(SyncObject source, NormalizedSyncObject target, boolean isNew)`
`void` | `setAreaCode(java.lang.String areaCode)`
`void` | `setAreaCodePrefix(java.lang.String areaCodePrefix)`
`void` | `setCountryCode(java.lang.String countryCode)`
`void` | `setInternationalPrefix(java.lang.String internationalPrefix)`
`void` | `setMaxNameLength(int maxNameLength)`
`void` | `setSystemPrefix(java.lang.String systemPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookPhoneBookTransformation

    public OutlookPhoneBookTransformation()

Method Detail

### getAreaCode

    public java.lang.String getAreaCode()

### setAreaCode

    public void setAreaCode(java.lang.String areaCode)

### getCountryCode

    public java.lang.String getCountryCode()

### setCountryCode

    public void setCountryCode(java.lang.String countryCode)

### getInternationalPrefix

    public java.lang.String getInternationalPrefix()

### setInternationalPrefix

    public void setInternationalPrefix(java.lang.String internationalPrefix)

### getSystemPrefix

    public java.lang.String getSystemPrefix()

### setSystemPrefix

    public void setSystemPrefix(java.lang.String systemPrefix)

### getAreaCodePrefix

    public java.lang.String getAreaCodePrefix()

### setAreaCodePrefix

    public void setAreaCodePrefix(java.lang.String areaCodePrefix)

### getMaxNameLength

    public int getMaxNameLength()

### setMaxNameLength

    public void setMaxNameLength(int maxNameLength)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### normalize

    public void normalize(SyncObject source,
                          NormalizedSyncObject target,
                          boolean isNew)
                   throws SyncException

  Specified by:
    `normalize` in interface `ObjectNormalizer`
  Throws:
    `SyncException`

### denormalize

    public void denormalize(NormalizedSyncObject source,
                            SyncObject target,
                            boolean isNew)
                     throws SyncException

  Specified by:
    `denormalize` in interface `ObjectNormalizer`
  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.